package dependencies

// Dependency
type Dependency interface {
	CanBeInstalled() bool
	DescribeInstall(path string) string
	DescribePostInstall(path string) string
	GetBinaryPath() (string, error)
	GetInstallDirectory() (string, error)
	GetName() string
	GetMinimumVersion() string
	GetVersion() (string, error)
	Install(path string) error
	PostInstall(path string) error
	IsInstalled() (bool, error)
	IsVersionSupported() (bool, error)
}
